
.container {
    display: flex;
    flex: 1;
    gap: 1rem;
    align-items: center;
    justify-content: space-between;
    background-color: var(--gray-400);
    border: 1px solid var(--gray-300);
    padding: 1rem;
    border-radius: 8px;
    margin-top: 1rem;
}

.container label {
    display: flex;
    gap: 0.25rem;
    cursor: pointer;
    user-select: none;
}

button.delete {
    border: 0;
    color: var(--gray-300);
    background: transparent;
    transition: color 0.2s;
    cursor: pointer;
}
button.delete:hover {
    color: var(--danger);
}

.container input[type=checkbox] {
    display: none;
}

input[type=checkbox]:checked ~ p {
    text-decoration: line-through;
    color: var(--gray-300);
}

.checkbox {
    display: flex;
    align-items: center;
    justify-content: center;
    background: transparent;
    border: 2px solid var(--blue);
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 50%;
    padding: 0.25rem;
    transition: all 0.2s;
}


input[type=checkbox]:checked ~ span {
    background: var(--purple);
    border: 2px solid var(--purple);
}

.checkbox:hover {
    background: var(--purple-dark)
}